Package net.shibboleth.shared.testing

# Class InMemoryDirectory.CustomServerSocketFactory

java.lang.Object
javax.net.ServerSocketFactory
net.shibboleth.shared.testing.InMemoryDirectory.CustomServerSocketFactory

Enclosing class:
  InMemoryDirectory

private static class InMemoryDirectory.CustomServerSocketFactory extends ServerSocketFactory
ServerSocketFactory wrapper class to track created sockets.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`private class`
`InMemoryDirectory.CustomServerSocketFactory.CustomServerSocket`
ServerSocket wrapper class to track created sockets.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<Socket>`
`sockets`
The socket list.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CustomServerSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`ServerSocket`
`createServerSocket(int port)`
`ServerSocket`
`createServerSocket(int port, int backlog)`
`ServerSocket`
`createServerSocket(int port, int backlog, InetAddress ifAddress)`

### Methods inherited from class javax.net.ServerSocketFactory

`createServerSocket, getDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sockets

@Nonnull private List<Socket> sockets
The socket list.

## Constructor Details

### CustomServerSocketFactory

private CustomServerSocketFactory()

## Method Details

### createServerSocket

public ServerSocket createServerSocket(int port) throws IOException

Specified by:
  `createServerSocket` in class `ServerSocketFactory`
Throws:
  `IOException`

### createServerSocket

public ServerSocket createServerSocket(int port, int backlog) throws IOException

Specified by:
  `createServerSocket` in class `ServerSocketFactory`
Throws:
  `IOException`

### createServerSocket

public ServerSocket createServerSocket(int port, int backlog, InetAddress ifAddress) throws IOException

Specified by:
  `createServerSocket` in class `ServerSocketFactory`
Throws:
  `IOException`